<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title class="page-title">Mis productos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="section-container">
    <p class="section-title">CUENTAS ({{accounts.length}})</p>

    <div *ngIf="accounts.length > 0">
      <ion-list *ngFor="let account of accounts" inset="true" mode="md">
        <ion-card class="border-left-green">
          <ion-grid>
            <ion-row>
              <ion-col size="3" class="product-icon-container">
                <img src="../../assets/images/icon_account_gray.svg" class="product-icon" alt="Account icon">
              </ion-col>
              <ion-col size="9">
                <p class="product-alias">{{account.alias}} - {{account.number}}</p>
              </ion-col>

              <ion-col size="12">
                <p class="amount-big"><span class="amount-little">RD$</span> {{account.availableAmount | number}}<span class="amount-little">.00</span></p>
                <p class="product-additional-info">Balance disponible.</p>
              </ion-col>
            </ion-row>
          </ion-grid>
        </ion-card>
      </ion-list>
    </div>
    <div *ngIf="accounts.length == 0">
      <ion-card class="border-left-green">
        <ion-grid>
          <ion-row>
            <ion-col size="12">
              <p class="product-alias">No hay información para mostrar</p>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-card>
    </div>
  </div>

  <div class="section-container">
    <p class="section-title blue-theme">TARJETAS ({{creditCards.length}})</p>

    <div *ngIf="creditCards.length > 0">
      <ion-list *ngFor="let creditCard of creditCards" inset="true" mode="md">
        <ion-card class="border-left-blue">
          <ion-grid>
            <ion-row>
              <ion-col size="3" class="product-icon-container">
                <img src="../../assets/images/icon_credit_card_gray.svg" class="product-icon" alt="Credit card icon">
              </ion-col>
              <ion-col size="9">
                <p class="product-alias">{{creditCard.alias}} - {{creditCard.number}}</p>
              </ion-col>

              <ion-col size="12">
                <p class="amount-big"><span class="amount-little">RD$</span> {{creditCard.availableAmountRD | number}}<span class="amount-little">.00</span></p>
                <p class="amount-big"><span class="amount-little">US$</span> {{creditCard.availableAmountUS | number}}<span class="amount-little">.00</span></p>
                <p class="product-additional-info">Balance disponible.</p>
              </ion-col>
            </ion-row>
          </ion-grid>
        </ion-card>
      </ion-list>
    </div>
    <div *ngIf="creditCards.length == 0">
      <ion-card class="border-left-blue">
        <ion-grid>
          <ion-row>
            <ion-col size="12">
              <p class="product-alias">No hay información para mostrar</p>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-card>
    </div>
  </div>

</ion-content>
